Package org.jboss.logging.processor.apt

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.logging.processor.apt.ProcessingException

All Implemented Interfaces:
  `Serializable`

    public class ProcessingException
    extends RuntimeException

An exception that can be used to log which element caused the error.

Author:
  James R. Perkins
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProcessingException​(Element element, String message)` Creates a new exception.
`ProcessingException​(Element element, String format, Object... args)` Creates a new exception.
`ProcessingException​(Element element, AnnotationMirror annotation, String message)` Creates a new exception.
`ProcessingException​(Element element, AnnotationMirror annotation, String format, Object... args)` Creates a new exception.
`ProcessingException​(Element element, AnnotationMirror annotation, AnnotationValue annotationValue, String message)` Creates a new exception.
`ProcessingException​(Element element, AnnotationMirror annotation, AnnotationValue annotationValue, String format, Object... args)` Creates a new exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`AnnotationMirror` `getAnnotation​()` The annotation where the error occurred.
`AnnotationValue` `getAnnotationValue​()` The value for the annotation that is invalid.
`Element` `getElement​()` The element the error occurred on.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### ProcessingException

    public ProcessingException​(Element element,
                               String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `message` - the message

#### ProcessingException

    public ProcessingException​(Element element,
                               AnnotationMirror annotation,
                               String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `message` - the message

#### ProcessingException

    public ProcessingException​(Element element,
                               AnnotationMirror annotation,
                               AnnotationValue annotationValue,
                               String message)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `annotationValue` - the annotation value
  `message` - the message

#### ProcessingException

    public ProcessingException​(Element element,
                               String format,
                               Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `format` - the format for the message
  `args` - the arguments for the format

#### ProcessingException

    public ProcessingException​(Element element,
                               AnnotationMirror annotation,
                               String format,
                               Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `format` - the format for the message
  `args` - the arguments for the format

#### ProcessingException

    public ProcessingException​(Element element,
                               AnnotationMirror annotation,
                               AnnotationValue annotationValue,
                               String format,
                               Object... args)

Creates a new exception.

Parameters:
  `element` - the element the error occurs on
  `annotation` - the annotation the error occurred on
  `annotationValue` - the annotation value
  `format` - the format for the message
  `args` - the arguments for the format

### Method Detail

#### getElement

    public Element getElement​()

The element the error occurred on.

Returns:
  the element

#### getAnnotation

    public AnnotationMirror getAnnotation​()

The annotation where the error occurred.

Returns:
  the annotation or `null` if the error did not occur on an annotation

#### getAnnotationValue

    public AnnotationValue getAnnotationValue​()

The value for the annotation that is invalid.

Returns:
  the annotation value or `null`